DCMTK: DiPalettePixelTemplate< T1, T2, T3 > Class Template Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | List of all members
DiPalettePixelTemplate< T1, T2, T3 > Class Template Reference

Template class to handle Palette color pixel data. More...

Inheritance diagram for DiPalettePixelTemplate< T1, T2, T3 >:

## Public Member Functions
| DiPalettePixelTemplate (const DiDocument *docu, const DiInputPixel *pixel, DiLookupTable *palette[3], EI_Status &status)
| constructor
virtual | ~DiPalettePixelTemplate ()
| destructor
Public Member Functions inherited from DiColorPixelTemplate< T3 >
| DiColorPixelTemplate (const DiDocument *docu, const DiInputPixel *pixel, const Uint16 samples, EI_Status &status, const Uint16 sample_rate=0)
| constructor
virtual | ~DiColorPixelTemplate ()
| destructor
EP_Representation | getRepresentation () const
| get integer representation
const void * | getData () const
| get pointer to internal array of pixel data.
void * | getDataPtr ()
| get pointer to internal array of pixel data.
void * | getDataArrayPtr ()
| get pointer to internal array of pixel data.
OFBool | getPixelData (void *data, const unsigned long count, const unsigned long fcount, const unsigned long frames, const int planar) const
| fill given memory block with pixel data (all three image planes, RGB)
unsigned long | createDIB (void *&data, const unsigned long size, const Uint16 width, const Uint16 height, const unsigned long frame, const int fromBits, const int toBits, const int mode, const int upsideDown, const int padding) const
| create true color (24/32 bit) bitmap for MS Windows.
unsigned long | createAWTBitmap (void *&data, const Uint16 width, const Uint16 height, const unsigned long frame, const int fromBits, const int toBits) const
| create true color (32 bit) bitmap for Java (AWT default format).
Public Member Functions inherited from DiColorPixel
| DiColorPixel (const DiDocument *docu, const DiInputPixel *pixel, const Uint16 samples, EI_Status &status, const Uint16 sample_rate=0)
| constructor
virtual | ~DiColorPixel ()
| destructor
int | getPlanes () const
| get number of planes
int | getPlanarConfiguration () const
| get planar configuration of the original pixel data
Public Member Functions inherited from DiPixel
| DiPixel (const unsigned long count, const unsigned long inputCount=0)
| constructor
virtual | ~DiPixel ()
| destructor
unsigned long | getCount () const
| get number of pixels
unsigned long | getInputCount () const
| get number of pixels stored in the 'PixelData' element
Public Member Functions inherited from DiPixelRepresentationTemplate< T3 >
| DiPixelRepresentationTemplate ()
| default constructor
virtual | ~DiPixelRepresentationTemplate ()
| destructor
int | isSigned () const
| check whether template type T is signed or not

## Private Member Functions
void | convert (const T1 *pixel, DiLookupTable *palette[3])
| convert input pixel data to intermediate representation

## Additional Inherited Members
Protected Member Functions inherited from DiColorPixelTemplate< T3 >
| DiColorPixelTemplate (const DiColorPixel *pixel, const unsigned long count)
| constructor
int | Init (const void *pixel)
| initialize internal memory
Protected Member Functions inherited from DiColorPixel
| DiColorPixel (const DiColorPixel *pixel, const unsigned long count)
| constructor
Protected Attributes inherited from DiColorPixelTemplate< T3 >
T3 * | Data [3]
| pointer to pixel data (3 components)
Protected Attributes inherited from DiColorPixel
int | PlanarConfiguration
| planar configuration of the original pixel data (0 = color-by-pixel, 1 = color-by-plane)
Protected Attributes inherited from DiPixel
unsigned long | Count
| number of pixels
unsigned long | InputCount
| number of pixels in the input buffer

## Detailed Description

template<class T1, class T2, class T3>
class DiPalettePixelTemplate< T1, T2, T3 >

Template class to handle Palette color pixel data.

## Constructor & Destructor Documentation

## ◆ DiPalettePixelTemplate()

template<class T1, class T2, class T3>

DiPalettePixelTemplate< T1, T2, T3 >::DiPalettePixelTemplate | ( | const DiDocument * | docu,
|  | const DiInputPixel * | pixel,
|  | DiLookupTable * | palette[3],
|  | EI_Status & | status )
| inline

constructor

Parameters

  docu | pointer to DICOM document
  pixel | pointer to input pixel representation
  palette | pointer to RGB color palette
  status | reference to status variable

References DiColorPixelTemplate< T3 >::DiColorPixelTemplate(), convert(), DiPixel::Count, EIS_InvalidValue, EIS_Normal, DiInputPixel::getData(), DiInputPixel::getPixelStart(), and DiColorPixel::PlanarConfiguration.

## Member Function Documentation

## ◆ convert()

template<class T1, class T2, class T3>

void DiPalettePixelTemplate< T1, T2, T3 >::convert | ( | const T1 * | pixel,
|  | DiLookupTable * | palette[3] )
| inlineprivate

convert input pixel data to intermediate representation

Parameters

  pixel | pointer to input pixel data
  palette | pointer to RGB color palette

References DiPixel::Count, DiColorPixelTemplate< T3 >::Data, DiColorPixelTemplate< T3 >::Init(), and DiPixel::InputCount.

Referenced by DiPalettePixelTemplate().

The documentation for this class was generated from the following file:

- dcmimage/include/dcmtk/dcmimage/dipalpxt.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2